Scala Bytecode Parser2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package scalap
  Definition Classes
    tools
-  package scalax
  Definition Classes
    scalap
- Arguments
- ByteArrayReader
- Classfile
- Classfiles
- CodeWriter
- Decode
- JavaWriter
- Main
- MetaParser
- Properties

c

scala.tools.scalap

# MetaParser 

###

#### class MetaParser extends AnyRef

a parser class for parsing meta type information in classfiles generated by pico.

Source
  MetaParser.scala

Linear Supertypes
AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. MetaParser
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new MetaParser(meta: String)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from MetaParser to any2stringadd[MetaParser] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (MetaParser, B)
   Implicit
     This member is added by an implicit conversion from MetaParser to ArrowAssoc[MetaParser] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
8.  def ensuring(cond: (MetaParser) ⇒ Boolean, msg: ⇒ Any): MetaParser
   Implicit
     This member is added by an implicit conversion from MetaParser to Ensuring[MetaParser] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
9.  def ensuring(cond: (MetaParser) ⇒ Boolean): MetaParser
   Implicit
     This member is added by an implicit conversion from MetaParser to Ensuring[MetaParser] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: Boolean, msg: ⇒ Any): MetaParser
    Implicit
      This member is added by an implicit conversion from MetaParser to Ensuring[MetaParser] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean): MetaParser
    Implicit
      This member is added by an implicit conversion from MetaParser to Ensuring[MetaParser] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
14.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
15.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from MetaParser to StringFormat[MetaParser] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
16.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
17.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
18.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
19.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  final def notify(): Unit
    Definition Classes
      AnyRef
21.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
22.  def parse: Option[String]
23.  def parseConstrField: String
    Attributes
      protected
24.  def parseMetaClass: String
    Attributes
      protected
25.  def parseMetaField: String
    Attributes
      protected
26.  def parseMetaMethod: String
    Attributes
      protected
27.  def parseType(): Unit
    Attributes
      protected
28.  val res: StringBuffer
29.  val scanner: StringTokenizer
30.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
31.  def toString(): String
    Definition Classes
      AnyRef → Any
32.  var token: String
33.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
34.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
35.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
36.  def →[B](y: B): (MetaParser, B)
    Implicit
      This member is added by an implicit conversion from MetaParser to ArrowAssoc[MetaParser] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from MetaParser to any2stringadd[MetaParser]

### Inherited by implicit conversion StringFormat from MetaParser to StringFormat[MetaParser]

### Inherited by implicit conversion Ensuring from MetaParser to Ensuring[MetaParser]

### Inherited by implicit conversion ArrowAssoc from MetaParser to ArrowAssoc[MetaParser]

### Ungrouped